Bug 40334 - CarouselView does not work on UWP Forms 2.2.0 Pre-2
Summary: CarouselView does not work on UWP Forms 2.2.0 Pre-2
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.2.0
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-04-13 09:35 UTC by FieldstrikeMobile
Modified: 2017-07-20 00:04 UTC (History)
6 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description FieldstrikeMobile 2016-04-13 09:35:33 UTC
my view:

  <CarouselView Grid.Row="1" ItemsSource="{Binding Items}" x:Name="CView">
    <CarouselView.ItemTemplate>
      <DataTemplate>
        <Grid>
          <Label Text="{Binding DateString}"/>
        </Grid>
      </DataTemplate>
    </CarouselView.ItemTemplate>
  </CarouselView>

display the page as MainPage and run on UWP and youll crash:

Unspecified error

Cannot find a resource with the given key.
Comment 1 Samantha Houts [MSFT] 2016-04-18 18:46:08 UTC
Should be fixed in 2.2.0-pre3. Thank you!
Comment 2 Parmendra Kumar 2016-04-26 13:17:40 UTC
I have checked this issue with Xamarin.Forms 2.2.0-pre4 and its working fine at my end.

Hence closing this issue.

If you still getting same issue please feel free to reopen this issue.

Thanks.
Comment 3 FieldstrikeMobile 2016-04-26 13:24:46 UTC
@Parmedra yes this issue is now fixed in 2.2.0-pre3
Comment 4 Mikey 2016-10-28 00:49:07 UTC
Well, can you guys update the Nuget package to pre3 or pre4 then? -- The only one that exists is for pre2.
Comment 5 Shimmy 2017-07-20 00:04:07 UTC
Please update the nuget package. This issue killed a lot of time for me trying to trace it down!